package com.tarena.oss.web.forms;

import java.util.Collection;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import org.apache.struts.action.ActionForm;

import com.tarena.oss.user.pojo.User;

public class UserForm extends ActionForm{
	private User user=new User();
	private String name;
	private String loginname;
	private int status;
	private String phone;
	private String email;
	private int paymenttype;
	private short sex;
	private String loginpassword;
	private String career;
	private String nationality;
	private String company;
	private String zip;
	private Date enrolldate;
	private Date closedate;
	
	public Date getClosedate() {
		return user.getClosedate();
	}
	public void setClosedate(Date closedate) {
		user.setClosedate(closedate);
	}
	public Date getEnrolldate() {
		return user.getEnrolldate();
	}
	public void setEnrolldate(Date enrolldate) {
		user.setEnrolldate(enrolldate);
	}
	public String getEmail() {
		return user.getEmail();
	}
	public void setEmail(String email) {
		user.setEmail(email);
	}
	public String getLoginname() {
		return user.getLoginname();
	}
	public void setLoginname(String loginname) {
		user.setLoginname(loginname);
	}
	public String getName() {
		return user.getName();
	}
	public void setName(String name) {
		user.setName(name);
	}
	public int getPaymenttype() {
		return user.getPaymenttype();
	}
	public void setPaymenttype(int paymenttype) {
		user.setPaymenttype(paymenttype);
	}
	public String getPhone() {
		return user.getPhone();
	}
	public void setPhone(String phone) {
		user.setPhone(phone);
	}
	public short getSex() {
		return user.getSex();
	}
	public void setSex(short sex) {
		user.setSex(sex);
	}
	public int getStatus() {
		return user.getStatus();
	}
	public void setStatus(int status) {
		user.setStatus(status);
	}
	public User getUser() {
		return user;
	}
	public void setUser(User user) {
		this.user = user;
	}
	public String getCareer() {
		return user.getCareer();
	}
	public void setCareer(String career) {
		user.setCareer(career);
	}
	public String getCompany() {
		return user.getCompany();
	}
	public void setCompany(String company) {
		user.setCompany(company);
	}
	public String getLoginpassword() {
		return user.getLoginpassword();
	}
	public void setLoginpassword(String loginpassword) {
		user.setLoginpassword(loginpassword);
	}
	public String getNationality() {
		return user.getNationality();
	}
	public void setNationality(String nationality) {
		user.setNationality(nationality);
	}
	public String getZip() {
		return user.getZip();
	}
	public void setZip(String zip) {
		user.setZip(zip);
	}
	
	/*int[] i ={0,1};
	String[] s={"¿ªÍ¨","ÔÝÍ£"};
	Map<int[],String[]> map = new HashMap();
	public Map<int[], String[]> getMap() {
		return map;
	}
	public void setMap(Map<int[], String[]> map) {
		this.map = map;
	}*/
	

}
